| 
  • If you are citizen of an European Union member nation, you may not use this service unless you are at least 16 years old.

  • You already know Dokkio is an AI-powered assistant to organize & manage your digital files & messages. Very soon, Dokkio will support Outlook as well as One Drive. Check it out today!

View
 

1ο Μάθημα FreeCAD

Page history last edited by Zissis Karasimos 6 years, 7 months ago

Άσκηση 1: Χρήση του Part workbench και τα κυριότερα FreeCAD tabs. Σχεδιασμός ενός μικρού σωλήνα. 

 

1. File > New (κλικ)
2. Part workbench (επιλογή)

3. Cylinder (κλικ)

4. Axonometric View (0) (κλικ)

5. δεξί κλικ επιφάνεια εργασίας > Navigation styles > Gesture (περιστροφών)

6. Μετονομασία 'Cylinder' σε 'TubeVolume' (δεξί κλικ)

7. Radius: 4mm (Data tab)

8. Height: 20mm (Data tab)

9. Fits the whole content on the screen (κλικ)

10. Νέο Cylinder (κλικ)

11. Μετονομασία 'Cylinder' σε 'TubeInside' (δεξί κλικ)

12. Radius 2mm (Data tab)

13. Height 20mm (Data tab)

14. Κλικ πρώτα 'TubeVolume', μετά CTRL και μετά κλικ το 'TubeInside'

15. Make a cut of two shapes (κλικ) - Δημιουργείται το 'Cut'

16. Μετονομασία 'Cut' σε 'Tube' (δεξί κλικ) (παρατήρηση του Cut)

17. Το πλήκτρο 'Space Bar' για το 'TubeInside' 
18. κλικ το 'Tube'

19. κλικ Placement (Data tab)

20. κλικ στο σύμβολο ... (δεξιά)

21. Translation 3mm στον Z άξονα

22. Rotation 20 μοίρες γύρω από τον Υ άξονα

23. ΟΚ

24. File>Save > Example_1 (επέκταση .FCStd)

25. File>Export > Example_1 ως STL Mesh (*.stl) (επέκταση .stl)

 

Αποτέλεσμα της άσκησης

 

 

from PySide import QtCore

d=0

incr=1

def Rotate():

  global d

  global incr

  FreeCAD.getDocument("Example_1").getObject("Cut").Placement = App.Placement(App.Vector(0,0,d),App.Rotation(App.Vector(0,0,1),0)) 

  d=d+incr

 

timer=QtCore.QTimer()

timer.timeout.connect(Rotate)

timer.start(1)

 

timer.stop()

 

if (d==200||d=0):

   incr=-incr

 

 

 

Comments (0)

You don't have permission to comment on this page.